[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: Incompatible Unison update (and solution?)



On Thu, Feb 21, 2008 at 10:05 AM, Stephen Warren
<s-t-rhbugzilla wwwdotorg org> wrote:
>  Should we even have the "moving"/"unversioned" unison package, or only
>  packages with the version in the package name?


IF you are going to do it, for the most part we don't version the new
stuff (gtk being the obvious except that makes the rule).  We'll
version compatibility stuff, but generally speaking, we want
updates/upgrades to suck in the newest version of an app without extra
logic. So we keep the moving/unversioned package. People who need
compatibility stuff can install the versioned compat packages as
needed.  You might want to contact the original maintainer, and see if
he'll act as a reviewer for a compat package to get it through
submission quickly.

-jef



-jef


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]